module Main where

import Tabela
import Database

-- https://www.yesodweb.com/blog/2015/07/yesod-table

tabelaPessoa :: Tabela Pessoa
tabelaPessoa =  tabela "Nome" nome
             <> tabela "Idade" (show.idade)

tabelaAluno :: Tabela Aluno
tabelaAluno = contramap _pessoa tabelaPessoa
            <> tabela "Curso" (show._curso)

tabelaConselho :: Tabela Representante
tabelaConselho = contramap (_pessoa._aluno) tabelaPessoa
               <> tabela "Conselho" (show._conselho)

p1 = Pessoa "Andre" "Silva" 22 Cachorro 
p2 = Pessoa "Sara" "Connor" 43 Gato 
a1 = Aluno p1 BCH
a2 = Aluno p2 BCT
r1 = Rep a1 CONSEPE
r2 = Rep a2 CONSUNI 

main :: IO ()
main = do
  putStrLn $ tabular tabelaPessoa   [p1, p2]
  putStrLn $ tabular tabelaAluno    [a1, a2]
  putStrLn $ tabular tabelaConselho [r1, r2]
